%define upstream_name    Tapper-Base
%define upstream_version 5.0.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Require that we are running on a particular OS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(LockFile::Simple) >= 0.208.0
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Module::Find) >= 0.110.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Mouse)
BuildRequires: perl(Test::More)
BuildRequires: perl(common::sense)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A learned sage once wrote on IRC:

   $^O is stupid and ugly, it wears its pants as a hat

Devel::CheckOS provides a more friendly interface to $^O, and also lets you
check for various OS "families" such as "Unix", which includes things like
Linux, Solaris, AIX etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 5.0.0-4.mga8
+ Revision: 1497256
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 5.0.0-3.mga7
+ Revision: 1271471
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 5.0.0-2.mga6
+ Revision: 1033687
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 5.0.0-1.mga6
+ Revision: 1007285
- update to 5.0.0

* Wed Feb 03 2016 umeabot <umeabot> 4.1.4-6.mga6
+ Revision: 933815
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.4-5.mga5
+ Revision: 741371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.4-4.mga5
+ Revision: 686309
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.4-3.mga4
+ Revision: 514847
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.4-2.mga3
+ Revision: 373015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 4.1.4-1.mga3
+ Revision: 309760
- imported package perl-Tapper-Base


* Wed Oct 24 2012 cpan2dist 4.1.4-1mga
- initial mageia release, generated with cpan2dist
